[arch-commits] Commit in haskell-deepseq/repos (3 files)

Vesa Kaihlavirta vesa at archlinux.org
Tue Jan 19 02:45:35 EST 2010


    Date: Tuesday, January 19, 2010 @ 02:45:35
  Author: vesa
Revision: 63991

Merged revisions 63990 via svnmerge from 
svn+ssh://vesa@gerolde.archlinux.org/srv/svn-packages/haskell-deepseq/trunk

........
  r63990 | vesa | 2010-01-19 09:44:59 +0200 (Tue, 19 Jan 2010) | 2 lines
  
  forgot to add these
........

Added:
  haskell-deepseq/repos/extra-x86_64/PKGBUILD
    (from rev 63990, haskell-deepseq/trunk/PKGBUILD)
  haskell-deepseq/repos/extra-x86_64/haskell-deepseq.install
    (from rev 63990, haskell-deepseq/trunk/haskell-deepseq.install)
Modified:
  haskell-deepseq/repos/extra-x86_64/	(properties)

-------------------------+
 PKGBUILD                |   26 ++++++++++++++++++++++++++
 haskell-deepseq.install |   14 ++++++++++++++
 2 files changed, 40 insertions(+)


Property changes on: haskell-deepseq/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /haskell-deepseq/trunk:1-63987
   + /haskell-deepseq/trunk:1-63990

Copied: haskell-deepseq/repos/extra-x86_64/PKGBUILD (from rev 63990, haskell-deepseq/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2010-01-19 07:45:35 UTC (rev 63991)
@@ -0,0 +1,26 @@
+# Maintainer: Vesa Kaihlavirta <vesa at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+pkgname=haskell-deepseq
+pkgver=1.1.0.0
+pkgrel=1
+pkgdesc="Fully evaluate data structures"
+url="http://hackage.haskell.org/cgi-bin/hackage-scripts/package/deepseq"
+license=('custom:BSD3')
+arch=('i686' 'x86_64')
+depends=(ghc=6.12.1 sh)
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/deepseq/$pkgver/deepseq-$pkgver.tar.gz)
+install=$pkgname.install
+
+build() {
+    cd $srcdir/deepseq-$pkgver
+    runhaskell Setup configure -p --enable-split-objs --enable-shared --prefix=/usr || return 1
+    runhaskell Setup build                   || return 1
+    runhaskell Setup register   --gen-script || return 1
+    runhaskell Setup unregister --gen-script || return 1
+    install -D -m744 register.sh   $pkgdir/usr/share/haskell/$pkgname/register.sh
+    install    -m744 unregister.sh $pkgdir/usr/share/haskell/$pkgname/unregister.sh
+    runhaskell Setup copy --destdir=$pkgdir || return 1
+    install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE || return 1
+}
+md5sums=('41194f8633be8e30cacad88146dbf7c2')

Copied: haskell-deepseq/repos/extra-x86_64/haskell-deepseq.install (from rev 63990, haskell-deepseq/trunk/haskell-deepseq.install)
===================================================================
--- extra-x86_64/haskell-deepseq.install	                        (rev 0)
+++ extra-x86_64/haskell-deepseq.install	2010-01-19 07:45:35 UTC (rev 63991)
@@ -0,0 +1,14 @@
+HS_DIR=/usr/share/haskell/haskell-deepseq
+post_install() {
+  ${HS_DIR}/register.sh
+}
+pre_upgrade() {
+  ${HS_DIR}/unregister.sh &> /dev/null
+  exit 0
+}
+post_upgrade() {
+  ${HS_DIR}/register.sh
+}
+pre_remove() {
+  ${HS_DIR}/unregister.sh
+}



More information about the arch-commits mailing list